Public Class ProcesoEvaluacionBusinessObject
    Inherits BusinessObject(Of ProcesoEvaluacion)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New ProcesoEvaluacionDbHelper
    End Sub

    Public Sub New(ByVal entity As ProcesoEvaluacion)
        MyBase.New(entity)
        DbHelper = New ProcesoEvaluacionDbHelper
    End Sub

    Public Sub New(ByVal idProcesoEvalacion As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idProcesoEvalacion = idProcesoEvalacion
        Dim Entity_Aux As ProcesoEvaluacion = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As ProcesoEvaluacionBusinessObject
    Protected Shared Function GetDdHelperInstance() As ProcesoEvaluacionDbHelper
        If _Instance Is Nothing Then
            _Instance = New ProcesoEvaluacionBusinessObject
        End If
    Return CType(_Instance.DbHelper, ProcesoEvaluacionDbHelper)
    End Function

    Public Shared Function GetListProcesoEvaluacion(Optional ByVal foreignLevel As Integer=0) As EntityList(Of ProcesoEvaluacion)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
